org.apache.uima.examples.as

## Class RunRemoteAsyncAE

- java.lang.Object
- - org.apache.uima.examples.as.RunRemoteAsyncAE

-     public class RunRemoteAsyncAE
      extends Object

  Example application that calls a Remote Asynchronous Analysis Engine on a collection.

  Arguments: brokerUrl endpoint [options] [-t Timeout] [-i]

  This connects to a remote AE at specified brokerUrl and endpoint (which must match what is in the service's deployment descriptor. The following optional arguments are accepted:

  - -d Specifies a deployment descriptor. The specified service will be deployed before processing begin, and the service will be undeployed after processing completes. Multiple -d entries can be given.
  - -c Specifies a CollectionReader descriptor. The client will read CASes from the CollectionReader and send them to the service for processing. If this option is omitted, one empty CAS will be sent to the service (useful for services containing a CAS Multiplier acting as a collection reader).
  - -p Specifies CAS pool size, which determines the maximum number of requests that can be outstanding.
  - -f Specifies the initial FS heap size in bytes of each CAS in the pool.
  - -o Specifies an Output Directory. All CASes received by the client's CallbackListener will be serialized to XMI in the specified OutputDir. If omitted, no XMI files will be output.
  - -t Specifies a timeout period in seconds. If a CAS does not return within this time period it is considered an error. By default there is no timeout, so the client will wait forever.
  - -i Causes the client to ignore errors returned from the service. If not specified, the client terminates on the first error.
  - -log Output details on each process request.
  - -perf Specifies a logfile containing performance breakdown for each request.
  - -uimaEeDebug true causes various debugging things to happen, including *not* deleting the generated spring file generated by running dd-2-spring. This parameter only affects deployments specified using the -d parameter that follow it in the command line sequence.
  - -TargetServiceId specifies identifier of a service which should process a CAS. This identifier must match service's identifier. By default a service is launched with an IP:PID identifier but the identifier can be an arbitrary String.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RunRemoteAsyncAE(String[] args)` Constructor for the class.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(String[] args)` main class.
    `void` | `run()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RunRemoteAsyncAE

          public RunRemoteAsyncAE(String[] args)
                           throws Exception

      Constructor for the class. Parses command line arguments and sets the values of fields in this instance. If command line is invalid prints a message and calls System.exit().
      Parameters:
        `args` - command line arguments into the program - see class description
      Throws:
        `Exception`

  - ### Method Detail

    - #### run

          public void run()
                   throws Exception

      Throws:
        `Exception`

    - #### main

          public static void main(String[] args)
                           throws Exception

      main class.
      Parameters:
        `args` - Command line arguments - see class description
      Throws:
        `Exception`

Copyright © 2006–2018 The Apache Software Foundation. All rights reserved.